import 'package:api_storage/api_storage.dart';

import 'identity.dart';

abstract class StatusModel<IdType> extends IdentityModel<IdType> {
  static const String statusTag = "status";
  final bool? status;

  const StatusModel({required super.id, this.status});
  StatusModel.fromMap(super.map)
      : status = map.getBool(statusTag),
        super.fromMap();

  @override
  Map<String, dynamic> toMap() => {...super.toMap(), statusTag: status};
}
